Bug 129557 - Subpixel rendering: Make GraphicsLayer::fillRect FloatRoundedRect based and cleanup dependencies.
Summary: Subpixel rendering: Make GraphicsLayer::fillRect FloatRoundedRect based and c...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: zalan
URL:
Keywords:
Depends on:
Blocks: 129558
  Show dependency treegraph
 
Reported: 2014-03-01 13:49 PST by zalan
Modified: 2014-03-04 09:01 PST (History)
14 users (show)

See Also:


Attachments
Patch (45.85 KB, patch)
2014-03-01 14:36 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (49.03 KB, patch)
2014-03-01 20:02 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (55.08 KB, patch)
2014-03-01 20:54 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (55.77 KB, patch)
2014-03-01 21:32 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (76.42 KB, patch)
2014-03-02 19:41 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (78.86 KB, patch)
2014-03-03 08:52 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (79.37 KB, patch)
2014-03-03 12:15 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (80.07 KB, patch)
2014-03-04 07:38 PST, zalan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description zalan 2014-03-01 13:49:59 PST
Merge FloatRect + Radii parameters to FloatRoundedRect.
Comment 1 zalan 2014-03-01 14:36:10 PST
Created attachment 225568 [details]
Patch
Comment 2 zalan 2014-03-01 20:02:30 PST
Created attachment 225583 [details]
Patch
Comment 3 zalan 2014-03-01 20:02:52 PST
Comment on attachment 225583 [details]
Patch

EWS testing
Comment 4 zalan 2014-03-01 20:54:42 PST
Created attachment 225587 [details]
Patch
Comment 5 zalan 2014-03-01 20:55:01 PST
Comment on attachment 225587 [details]
Patch

EWS
Comment 6 zalan 2014-03-01 21:32:08 PST
Created attachment 225589 [details]
Patch
Comment 7 zalan 2014-03-01 21:32:30 PST
Comment on attachment 225589 [details]
Patch

EWS win testing
Comment 8 zalan 2014-03-02 19:41:34 PST
Created attachment 225629 [details]
Patch
Comment 9 zalan 2014-03-02 19:42:01 PST
Comment on attachment 225629 [details]
Patch

updated patch. ews.
Comment 10 zalan 2014-03-03 08:52:56 PST
Created attachment 225658 [details]
Patch
Comment 11 zalan 2014-03-03 08:53:12 PST
Comment on attachment 225658 [details]
Patch

EWS win.
Comment 12 zalan 2014-03-03 12:15:40 PST
Created attachment 225682 [details]
Patch
Comment 13 zalan 2014-03-03 12:15:57 PST
Comment on attachment 225682 [details]
Patch

EWS win.
Comment 14 Simon Fraser (smfr) 2014-03-03 16:12:15 PST
Comment on attachment 225682 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=225682&action=review

> Source/WebCore/platform/graphics/FloatRoundedRect.cpp:151
> +    && m_radii.bottomLeft().width() + m_radii.bottomRight().width() <= m_rect.width()
> +    && m_radii.topLeft().height() + m_radii.bottomLeft().height() <= m_rect.height()
> +    && m_radii.topRight().height() + m_radii.bottomRight().height() <= m_rect.height();

Indent these lines.

> Source/WebCore/platform/graphics/Path.cpp:135
> +    if (rect.width() < radii.topLeft().width() + radii.topRight().width()
> +        || rect.width() < radii.bottomLeft().width() + radii.bottomRight().width()
> +        || rect.height() < radii.topLeft().height() + radii.bottomLeft().height()
> +        || rect.height() < radii.topRight().height() + radii.bottomRight().height()) {
>          // If all the radii cannot be accommodated, return a rect.

Is this the same logic as isRenderable?
Comment 15 zalan 2014-03-04 07:38:23 PST
Created attachment 225777 [details]
Patch
Comment 16 zalan 2014-03-04 07:38:56 PST
Comment on attachment 225777 [details]
Patch

EWS testing before commit.
Comment 17 zalan 2014-03-04 07:44:09 PST
(In reply to comment #14)
> (From update of attachment 225682 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=225682&action=review
> 
> > Source/WebCore/platform/graphics/FloatRoundedRect.cpp:151
> > +    && m_radii.bottomLeft().width() + m_radii.bottomRight().width() <= m_rect.width()
> > +    && m_radii.topLeft().height() + m_radii.bottomLeft().height() <= m_rect.height()
> > +    && m_radii.topRight().height() + m_radii.bottomRight().height() <= m_rect.height();
> 
> Indent these lines.
Done.

> 
> > Source/WebCore/platform/graphics/Path.cpp:135
> > +    if (rect.width() < radii.topLeft().width() + radii.topRight().width()
> > +        || rect.width() < radii.bottomLeft().width() + radii.bottomRight().width()
> > +        || rect.height() < radii.topLeft().height() + radii.bottomLeft().height()
> > +        || rect.height() < radii.topRight().height() + radii.bottomRight().height()) {
> >          // If all the radii cannot be accommodated, return a rect.
> 
> Is this the same logic as isRenderable?
Yes. Fixed.
Comment 18 WebKit Commit Bot 2014-03-04 09:01:11 PST
Comment on attachment 225777 [details]
Patch

Clearing flags on attachment: 225777

Committed r165055: <http://trac.webkit.org/changeset/165055>
Comment 19 WebKit Commit Bot 2014-03-04 09:01:15 PST
All reviewed patches have been landed.  Closing bug.